Bug 90432 - Fails to start
Fails to start
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-samba (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-07 23:20 EDT by Bill
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-19 17:38:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill 2003-05-07 23:20:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When starting from a terminal window as root the following appears:

[root@zeus /]# redhat-config-samba
Traceback (most recent call last):
  File "/usr/share/redhat-config-samba/redhat-config-samba.py", line 20, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/redhat-config-samba/mainWindow.py", line 58, in __init__
    self.samba_data = sambaParser.SambaParser(self)
  File "/usr/share/redhat-config-samba/sambaParser.py", line 24, in __init__
    self.parseFile()
  File "/usr/share/redhat-config-samba/sambaParser.py", line 55, in parseFile
    token = self.createToken(line)
  File "/usr/share/redhat-config-samba/sambaParser.py", line 127, in createToken
    token = sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL,
(name, value), self.parent)
  File "/usr/share/redhat-config-samba/sambaToken.py", line 20, in __init__
    raise AttributeError, value
AttributeError: ('share modes', 'No')


Version-Release number of selected component (if applicable):
1.0.4-1

How reproducible:
Always

Steps to Reproduce:
1.  Open terminal window as root
2.  call 'redhat-config-samba'
3.
    

Actual Results:  Error message as above.  Samba is running and is available to
users.

Expected Results:  Should (I think) have gotten window to configure samba

Additional info:

This is a new clean installation of RH 9
Comment 1 Brent Fox 2003-05-19 17:38:16 EDT
I forgot to add the 'share modes' flag in sambaDefaults.py.  Should be fixed in
redhat-config-samba-1.0.5-2 and should appear in Rawhide soon.  Thanks for your
report.

Note You need to log in before you can comment on or make changes to this bug.